@echo OFF
rem  * *******************************************************************
rem  *               JCSCANE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * Create a list file for the JCL Members to be scanned. This procedure
rem  * calls the following Windows Command Files.
rem  * 1. ezSetEnv.CMD - this provides a single point for setting commonly
rem  *                   used environment variables.
rem  * 2. SimoNOTE.CMD - this provides a consistent process for displaying
rem  *                   messages to the screen and writing to a journal or
rem  *                   log file.
rem  * ************************************************************************
rem  *
rem                     ************
rem                     *   SET    *   Set the Environment Variables
rem                     ********jcl*
rem                          *
rem                     ************
rem                     * if exist *   Delete previously created Files
rem                     ********utl*
rem                          *
rem                     ************
rem                     *   DIR    *   Create a JCL Member List
rem                     ********utl*
rem                          *
rem                     ************
rem                     *   EOJ    *
rem                     ************
rem  *
rem  * ************************************************************************
rem  *
     setlocal
     set CmdName=JCSCANE1
     call ..\Env1Base
rem  *
     call SimoNOTE "****************************************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
     call SimoNOTE "InfoNote Create a list of names for JCL or Parameter Cards"
rem  *
rem  * Step 1 of 03, Prepare the Environment
rem  *
     set JCSCANL1=%BASECAT%\APPL\SIMOTIME.UTIL.JCSCANL1.TXT
     set JCSCANL2=%BASECAT%\APPL\SIMOTIME.UTIL.JCSCANL2.TXT
rem  *
rem  * Step 2 of 03, Delete previously created Files
     if exist %JCSCANL1% erase %JCSCANL1%
     if exist %JCSCANL2% erase %JCSCANL2%
rem  *
rem  * Step 3 of 03, Create the List of Member Names to be scanned.
rem  *               The DIR comand creates a list with filename.ext
rem  *               The FOR loop creates a member list with the
rem  *               fully qualified drive:\directory\filename.ext
rem  *
     dir /on /b /a-d %BaseLib1%\JCL\*.JCL>%JCSCANL1%
     for /F %%i in (%JCSCANL1%) do echo %BaseLib1%\JCL\%%i>>%JCSCANL2%
rem  *
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EojNOK
:EojAOK
     call SimoNOTE "DataMake %JCSCANL2%"
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:End
     call SimoNOTE "FileInfo SYSOUT=%SYSOUT%"
     call SimoNOTE "Finished JobName %CmdName%.CMD"
     if not "%SimoGENS%" == "BATCH" pause
     endlocal
