@echo OFF
rem  * *******************************************************************
rem  *               JCSCANE2.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * Scan the JCL Members using the list created in JCSCANE1 Cmd File and
rem  * create a file that contain data file characteristics or Properties.
rem  * The file properties are extracted from DD statements and Delete/Define
rem  * statements used by IDCAMS.
rem  * This procedure calls the following Windows Command Files.
rem  * 1. ezSetEnv.CMD - this provides a single point for setting commonly
rem  *                   used environment variables.
rem  * 2. SimoNOTE.CMD - this provides a consistent process for displaying
rem  *                   messages to the screen and writing to a journal or
rem  *                   log file.
rem  * ************************************************************************
rem                     ************
rem                     *   SET    *   Set the Environment Variables
rem                     ********jcl*
rem                          *
rem    ************     ************
rem    * JCSCANL2 *-----* JCSCANC1 *
rem    *******lseq*     ********cbl*
rem                        *    *
rem         ****************    *****call******
rem         *                                 *
rem         *           ************     ************     ************
rem         *           * JCLLS080 *-----* JCSCANC2 *-----* FPRFFLD1 *
rem         *           *******lseq*     ********cbl*     *******rseq*
rem         *                                 *
rem         *                            ************
rem         *                            * SIMOPARS *
rem         *                            ********cbl*
rem         ******************
rem                          *
rem                     ************
rem                     *   EOJ    *
rem                     ************
rem  *
rem  * ************************************************************************
rem  *
     setlocal
     set CmdName=JCSCANE2
     call ..\Env1Base
rem  *
     call SimoNOTE "****************************************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
rem  *
rem  * Step 1 of 03, Prepare the Environment
rem  *
     set JCSCANL2=%BASECAT%\APPL\SIMOTIME.UTIL.JCSCANL2.TXT
     set FPRFFLD1=%BASECAT%\APPL\SIMOTIME.UTIL.FPRFFLD1.DAT
rem  *
rem  * Step 2 of 03, Define a New Output File
rem  *
rem  * The following copy statement will create a directory entry for
rem  * a file with zero records, a null file. This is a necessary step
rem  * because the program used in the following step will attempt to
rem  * add records to an existing file.
rem  *
     if NOT exist %FPRFFLD1% copy nul %FPRFFLD1%
rem  *
rem  * Step 3 of 03, Append Records Containing File Properties
rem  *
rem  * Read the List-of-Member-Names file, scan the members and append
rem  * the file information from the DD statements and the DEFINE
rem  * statements for IDCAMS to the previously created output file.
rem  *
     call SimoNOTE "InfoNote Scan the JCL or Parm Cards for File Properties"
     set JCSCANBF=11100000
     set SCANMODE=DATAMODE
     run JCSCANC1
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EojNOK
:EojAOK
     call SimoNOTE "DataMake %FPRFFLD1%"
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:End
     call SimoNOTE "FileInfo SYSOUT=%SYSOUT%"
     call SimoNOTE "Finished JobName %CmdName%.CMD"
     if not "%SimoGENS%" == "BATCH" pause
     endlocal
