@echo OFF
rem  * *******************************************************************
rem  *               JCSCANE8.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * Created an empty file to be updated by JCSCANC1.CBL. This procedure
rem  * calls the following Windows Command Files.
rem  * 1. ezSetEnv.CMD - this provides a single point for setting commonly
rem  *    used environment variables.
rem  * 2. SimoNOTE.CMD - this provides a consistent process for displaying
rem  *    messages to the screen and writing to a journal or log file.
rem  * ************************************************************************
rem  *
     setlocal
     set CmdName=JCSCANE8
     call ..\Env1BASE
rem  *
     call SimoNOTE "****************************************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
rem  *
rem  * Step 1 of 02, Prepare the Environment
rem  *
     set FPRFFLD1=%BASECAT%\APPL\SIMOTIME.UTIL.FPRFFLD1.DAT
     call SimoNOTE "Allocate %FPRFFLD1% "
     if exist %FPRFFLD1% (call SimoNOTE "File already exists..."
                          goto EojNOK)
rem  *
rem  * Step 2 of 02, Allocate a new, empty file
rem  *
     copy nul %FPRFFLD1%
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EojNOK
:EojAOK
     call SimoNOTE "DataMake %FPRFFLD1%"
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:End
     call SimoNOTE "FileInfo SYSOUT=%SYSOUT%"
     call SimoNOTE "Finished JobName %CmdName%.CMD"
     if not "%SimoGENS%" == "BATCH" pause
     endlocal
