       IDENTIFICATION DIVISION.
       PROGRAM-ID.    MFENVARS.
       AUTHOR.        SIMOTIME TECHNOLOGIES.
      *****************************************************************
      * Copyright (C) 1987-2016 SimoTime Technologies.                *
      *                                                               *
      * All rights reserved.  Unpublished, all rights reserved under  *
      * copyright law and international treaty.  Use of a copyright   *
      * notice is precautionary only does not imply publication or    *
      * disclosure.  This software contains confidential information  *
      * and trade secrets of SimoTime Technologies. No part of this   *
      * program or publication may be reproduced, transmitted,        *
      * transcribed, stored in a retrieval system, or translated into *
      * any language or computer language, in any form or by any      *
      * means, electronic, mechanical, magnetic, optical, chemical,   *
      * manual or otherwise, without the prior written permission of: *
      *                                                               *
      * SimoTime Technologies                                         *
      * 15 Carnoustie Drive                                           *
      * Novato, CA 94949-5849                                         *
      * 415.883.6565                                                  *
      *                                                               *
      * RESTRICTED RIGHTS LEGEND                                      *
      * Use, duplication, or disclosure by the Government is subject  *
      * to restrictions as set forth in subparagraph (c)(1)(ii) of    *
      * the Rights in Technical Data and Computer Software clause at  *
      * DFARS 52.227-7013 or subparagraphs (c)(1) and (2) of          *
      * Commercial  Computer Software - Restricted Rights  at 48      *
      * CFR 52.227-19, as applicable.  Contact SimoTime Technologies, *
      * 15 Carnoustie Drive, Novato, CA 94949-5849.                   *
      *                                                               *
      *****************************************************************
      *      This program is provided by SimoTime Technologies        *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *                                                               *
      *****************************************************************
      *
      * MAINTENANCE
      * -----------
      * 1989/02/27 Simmons, Created program.
      *
      *****************************************************************
      * Source Member: MFENVARS.CBL
      * Copy Files:    None
      * Calls to:      None
      *****************************************************************
      * This program will use an environment variable to map the file
      * name on the SELECT statement to a fully qualified PC file name.
      * To do this mapping this program must be compiled with the
      * assign(EXTERNAL) directive.
      * The program will read the file and display the records to the
      * screen. If this program is compiled with the sequential(LINE)
      * directive then the input file may be an ASCII/Text file.
      *
       ENVIRONMENT DIVISION.
       WORKING-STORAGE SECTION.
      *****************************************************************
      *    Data-structure for Title and Copyright...
      *    ------------------------------------------------------------
       01  SIM-TITLE.
           05  T1 pic X(11) value '* MFENVARS '.
           05  T2 pic X(34) value 'Get an Environment Variable Value '.
           05  T3 pic X(10) value ' v13.11.21'.
           05  T4 pic X(24) value ' http://www.simotime.com'.
       01  SIM-COPYRIGHT.
           05  C1 pic X(11) value '* MFENVARS '.
           05  C2 pic X(20) value 'Copyright 1987-2016 '.
           05  C3 pic X(28) value '   SimoTime Technologies    '.
           05  C4 pic X(20) value ' All Rights Reserved'.

       01  SIM-THANKS-01.
           05  C1 pic X(11) value '* MFENVARS '.
           05  C2 pic X(32) value 'Thank you for using this program'.
           05  C3 pic X(32) value ' provided from SimoTime Technolo'.
           05  C4 pic X(04) value 'gies'.

       01  SIM-THANKS-02.
           05  C1 pic X(11) value '* MFENVARS '.
           05  C2 pic X(32) value 'Please send all inquires or sugg'.
           05  C3 pic X(32) value 'estions to the helpdesk@simotime'.
           05  C4 pic X(04) value '.com'.

      *****************************************************************
      *    Buffer used for posting messages to the console.
      *    ------------------------------------------------------------
       01  MESSAGE-BUFFER.
           05  MESSAGE-HEADER      pic X(11)   value '* MFENVARS '.
           05  MESSAGE-TEXT        pic X(68).

      *****************************************************************
       LINKAGE SECTION.
       COPY PAENVARS.

      *****************************************************************
       PROCEDURE DIVISION using ENV-VAR-PASSAREA.
           move ZERO to RETURN-CODE
           evaluate ENV-VAR-REQUEST
             when 'GET' perform GET-ENVIRONMENT-VARIABLE
             when 'SET' perform SET-ENVIRONMENT-VARIABLE
             when other add 16 to ZERO giving RETURN-CODE
                        move SPACES to ENV-VAR-VALUE
           end-evaluate
           move RETURN-CODE to ENV-VAR-RESPOND
           GOBACK.

      *****************************************************************
      * Get an environment variable.
      *----------------------------.
       GET-ENVIRONMENT-VARIABLE.
           move SPACES to ENV-VAR-VALUE
           display SPACES        upon ENVIRONMENT-NAME
           display ENV-VAR-NAME  upon ENVIRONMENT-NAME
                   on exception add 4 to ZERO giving RETURN-CODE
           end-display
           if  RETURN-CODE = ZERO
               accept  ENV-VAR-VALUE from ENVIRONMENT-VALUE
                       on exception add 8 to ZERO giving RETURN-CODE
               end-accept
           end-if
           if  RETURN-CODE not = 0
               move SPACES to ENV-VAR-VALUE
           end-if
           exit.

      *****************************************************************
      * Set an environment variable.
      *----------------------------.
       SET-ENVIRONMENT-VARIABLE.
           display ENV-VAR-NAME  upon ENVIRONMENT-NAME
                   on exception add 4 to ZERO giving RETURN-CODE
           end-display
           if  RETURN-CODE = ZERO
               display ENV-VAR-VALUE upon ENVIRONMENT-VALUE
                       on exception add 4 to ZERO giving RETURN-CODE
               end-display
           end-if
           exit.

      *****************************************************************
      * ABEND the program, post a message to the console and issue    *
      * a STOP RUN.                                                   *
      *****************************************************************
       Z-ABEND-PROGRAM.
           if  MESSAGE-TEXT not = SPACES
               perform Z-DISPLAY-MESSAGE-TEXT
           end-if
           move 'PROGRAM-IS-ABENDING...'  to MESSAGE-TEXT
           perform Z-DISPLAY-MESSAGE-TEXT
           add 12 to ZERO giving RETURN-CODE
           GOBACK.

      *****************************************************************
       Z-POST-COPYRIGHT.
           display SIM-TITLE     upon console
           display SIM-COPYRIGHT upon console
           exit.

      *****************************************************************
       Z-DISPLAY-MESSAGE-TEXT.
           display MESSAGE-BUFFER upon console
           move SPACES to MESSAGE-TEXT
           exit.

      *****************************************************************
       Z-THANK-YOU.
           display SIM-THANKS-01 upon console
           display SIM-THANKS-02 upon console
           exit.
      *****************************************************************
      *      This example is provided by SimoTime Technologies        *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
